<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2014 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--org/2001/XMLSchema-->
<!--


major/ minor versie:	0.1
datum ontwikkeling:	2 juli 2020
datum productie:		
gemaakt door			Nelleke van der Meer, Mathijs Hoeijmakers, Mustafa Susam
doelgroep					



  	
   -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tru1="urn:postnl/mail/transportationunit/1" xmlns:ma1="urn:postnl/mail/manufacturingcomponents/1" xmlns:co1="urn:postnl/mail/components/1" xmlns:me1="urn:postnl/mail/meta/1" xmlns:fi1="urn:postnl/mail/fields1" xmlns:lo1="urn:postnl/mail/logisticscomponents/1" xmlns:co2="urn:postnl/mail/components/2" xmlns:co5="urn:postnl/mail/components/5" targetNamespace="urn:postnl/mail/transportationunit/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/manufacturingcomponents/1" schemaLocation="../../Common/OAGI/Components/ManufacturingComponents1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/2" schemaLocation="../../Common/OAGI/Components/Components2.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/5" schemaLocation="../../Common/OAGI/Components/Components5.xsd"/>
	<xsd:element name="TransportationUnit" type="tru1:TransportationUnitType">
		<xsd:annotation>
			<xsd:documentation>The action of transporting a physical unit.

Het transport van een fysieke eenheid met informatie over het transport, het vervoersmiddel en over de te transporteren eenheid. Een fysieke eenheid is een Equipment, Package, MailItem (brief of pakket) of GoodsItem. In een fysieke eenheid kunnen andere fysieke eenheden zitten:
			- in Equipment kunnen zitten Packages, MailItems en GoodsItems
			- in Package kunnen zitten MailItems en GoodsItems
			- in MailItem kunnen GoodsItems zitten
			De fysieke eenheden kunnen, ook al zitten ze in elkaar, eigen transportdata hebben. Dit hoeft niet. Het is ook mogelijk dat de transportdata van de fysieke eenheid op het hoogste niveau van toepassing is voor de fysieke eenheden die erin zitten.

In deze versie is een vervoersmiddel het object waarmee een transporteenheid vervoert wordt. Overwogen kan worden om het vervoersmiddel onderdeel te maken van de transporteenheid (dus een laag boven equipment). Hiermee wordt het mogelijk om ook bijv. vrachtauto's onderdeel te maken van de planning.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="TransportationUnitType">
		<xsd:complexContent>
			<xsd:extension base="co1:StatusEnabledHeaderType">
				<xsd:sequence>
					<xsd:element ref="co1:MeansofTransport" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:choice>
						<xsd:element ref="co1:EquipmentTransportationUnit" minOccurs="0" maxOccurs="unbounded"/>
						<xsd:element ref="co1:PackageTransportationUnit" minOccurs="0" maxOccurs="unbounded"/>
						<xsd:element ref="co1:MailItemTransportationUnit" minOccurs="0" maxOccurs="unbounded"/>
						<xsd:element ref="co1:GoodsItemTransportationUnit" minOccurs="0" maxOccurs="unbounded"/>
					</xsd:choice>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
</xsd:schema>
